EntityInsertAction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.internal
Class EntityInsertAction

    java.lang.Object
      org.hibernate.action.internal.EntityAction
          org.hibernate.action.internal.AbstractEntityInsertAction
              org.hibernate.action.internal.EntityInsertAction

All Implemented Interfaces:
  Serializable, Comparable, AfterTransactionCompletionProcess, Executable

    public final class EntityInsertAction

extends AbstractEntityInsertAction

See Also:
  Serialized Form

Constructor Summary
`EntityInsertAction(Serializable id, Object[] state, Object instance, Object version, EntityPersister persister, boolean isVersionIncrementDisabled, SessionImplementor session)`

Method Summary
`void` | `doAfterTransactionCompletion(boolean success, SessionImplementor session)` Perform whatever processing is encapsulated here after completion of the transaction.
`void` | `execute()` Execute this action
`protected EntityKey` | `getEntityKey()` Returns the `EntityKey`.
`protected boolean` | `hasPostCommitEventListeners()`
`boolean` | `isEarlyInsert()` Does this insert action need to be executed as soon as possible (e.g., to generate an ID)?

Methods inherited from class org.hibernate.action.internal.AbstractEntityInsertAction
`afterDeserialize, findNonNullableTransientEntities, getState, handleNaturalIdPostSaveNotifications, handleNaturalIdPreSaveNotifications, makeEntityManaged, markExecuted, nullifyTransientReferencesIfNotAlready`

Methods inherited from class org.hibernate.action.internal.EntityAction
`beforeExecutions, compareTo, eventSource, getAfterTransactionCompletionProcess, getBeforeTransactionCompletionProcess, getDelayedId, getEntityName, getId, getInstance, getPersister, getPropertySpaces, getSession, listenerGroup, needsAfterTransactionCompletion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityInsertAction

    public EntityInsertAction(Serializable id,
                              Object[] state,
                              Object instance,
                              Object version,
                              EntityPersister persister,
                              boolean isVersionIncrementDisabled,
                              SessionImplementor session)
                       throws HibernateException

Throws:
  `HibernateException`

Method Detail

### isEarlyInsert

    public boolean isEarlyInsert()

  Description copied from class: `AbstractEntityInsertAction`
  Does this insert action need to be executed as soon as possible (e.g., to generate an ID)?

  Specified by:
    `isEarlyInsert` in class `AbstractEntityInsertAction`
  Returns:
    true, if it needs to be executed as soon as possible; false, otherwise.

### getEntityKey

    protected EntityKey getEntityKey()

  Description copied from class: `AbstractEntityInsertAction`
  Returns the `EntityKey`.

  Specified by:
    `getEntityKey` in class `AbstractEntityInsertAction`
  Returns:
    the `EntityKey`.

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException` - Indicates a problem during execution.

### doAfterTransactionCompletion

    public void doAfterTransactionCompletion(boolean success,
                                             SessionImplementor session)
                                      throws HibernateException

  Description copied from interface: `AfterTransactionCompletionProcess`
  Perform whatever processing is encapsulated here after completion of the transaction.

  Parameters:
    `success` - Did the transaction complete successfully? True means it did.
    `session` - The session on which the transaction is completing.
  Throws:
    `HibernateException`

### hasPostCommitEventListeners

    protected boolean hasPostCommitEventListeners()

  Specified by:
    `hasPostCommitEventListeners` in class `EntityAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.